# M5StickC Library

[![Arduino Compile](https://github.com/m5stack/M5StickC/actions/workflows/arduino-action-stickc-compile.yml/badge.svg)](https://github.com/m5stack/M5StickC/actions/workflows/arduino-action-stickc-compile.yml)
[![Arduino Lint](https://github.com/m5stack/M5StickC/actions/workflows/Arduino-Lint-Check.yml/badge.svg)](https://github.com/m5stack/M5StickC/actions/workflows/Arduino-Lint-Check.yml)
[![Clang Format](https://github.com/m5stack/M5StickC/actions/workflows/clang-format-check.yml/badge.svg)](https://github.com/m5stack/M5StickC/actions/workflows/clang-format-check.yml)

[English](README.md) | 中文

<img src="https://m5stack.oss-cn-shenzhen.aliyuncs.com/image/m5-docs_content/core/m5stickc_01.png" alt="M5StickC_01" width="350" height="350">

* **如果查看 M5StickC 的详细介绍文档，[点击这里](https://docs.m5stack.com/#/zh_CN/core/m5stickc)**

<!-- * **如果想要购买 M5StickC 的话，[点击这里](https://item.taobao.com/item.htm?spm=a1z10.3-c.w4002-1172588106.12.7807425e3JNPRr&id=588710395351)** -->

## 描述

<mark>**M5StickC**</mark> 是一个包含 0.96 寸 **TFT 彩屏** (80 x 160 分辨率)、**红色** LED 灯、按键、**麦克风**、红外发射管、六轴姿态传感器 (SH200Q) 和 80mAH 的电池的小型 **ESP32 开发板**。M5StickC 内的 ESP32 模组 **[ESP32-Pico](https://github.com/m5stack/M5-Schematic/blob/master/Core/esp32-pico-d4_datasheet_cn.pdf)** 还内置了 4MB 的flash。如果 M5StickC 装配上表带底座和表带，你可以将它戴在手腕上。

**开关机操作** 短按两秒开机，长按六秒关机。

## 更多信息

**UIFlow 快速上手**: [点击这里](https://docs.m5stack.com/zh_CN/quick_start/m5stickc/m5stickc_quick_start_with_uiflow)

**MicroPython API**: [点击这里](https://docs.m5stack.com/zh_CN/mpy/display/m5stack_lvgl)

**Arduino IDE 环境搭建**: [点击这里](https://docs.m5stack.com/zh_CN/arduino/arduino_development)

**M5StickC Arduino API**: [点击这里](https://docs.m5stack.com/zh_CN/api/stickc/system_m5stickc)

**引脚地图**: [点击这里](https://docs.m5stack.com/zh_CN/core/m5stickc)

**M5StickC 顶部拓展的 IO 口**

<img src="https://m5stack.oss-cn-shenzhen.aliyuncs.com/image/m5-docs_content/core/m5stickc_04.png" alt="M5StickC_04">
